import { EventEmitter } from "@angular/core";
import * as i0 from "@angular/core";
export type DocusealBuilderField = {
    name: string;
    type?: string;
    role?: string;
    title?: string;
    description?: string;
    required?: boolean;
    default_value?: string;
    width?: number;
    height?: number;
    options?: string[];
    preferences?: {
        font_size?: number;
        font_type?: "bold" | "italic" | "bold_italic";
        mask?: boolean | number;
        font?: "Times" | "Helvetica" | "Courier";
        color?: "black" | "white" | "blue";
        align?: "left" | "center" | "right";
        valign?: "top" | "center" | "bottom";
        format?: string;
        price?: number;
        currency?: "USD" | "EUR" | "GBP" | "CAD" | "AUD";
    };
    validation?: {
        pattern?: string;
        message?: string;
    };
};
export type DocusealBuilderSubmitter = {
    email?: string;
    role?: string;
    name?: string;
    phone?: string;
};
interface AfterViewInit {
    ngAfterViewInit(): void;
}
export declare class DocusealBuilderComponent implements AfterViewInit {
    token: string;
    host: string;
    language: string;
    preview: boolean;
    previewMode: boolean;
    inputMode: boolean;
    autosave: boolean;
    withRecipientsButton: boolean;
    withDocumentsList: boolean;
    withFieldsList: boolean;
    withFieldPlaceholder: boolean;
    withSendButton: boolean;
    withTitle: boolean;
    onlyDefinedFields: boolean;
    withSignYourselfButton: boolean;
    withUploadButton: boolean;
    withAddPageButton: boolean;
    roles: string[];
    fields: DocusealBuilderField[];
    submitters: DocusealBuilderSubmitter[];
    requiredFields: DocusealBuilderField[];
    i18n: object;
    fieldTypes: string[];
    drawFieldType: string;
    customButton: {
        title: string;
        url: string;
    };
    emailMessage: {
        subject: string;
        body: string;
    };
    backgroundColor: string;
    sendButtonText: string;
    saveButtonText: string;
    customCss: string;
    onLoad: EventEmitter<any>;
    onUpload: EventEmitter<any>;
    onSend: EventEmitter<any>;
    onSave: EventEmitter<any>;
    onChange: EventEmitter<any>;
    get dataToken(): string;
    get dataPreview(): boolean;
    get dataInputMode(): boolean;
    get dataLanguage(): string;
    get dataAutosave(): boolean;
    get dataSendButtonText(): string;
    get dataSaveButtonText(): string;
    get dataRoles(): string;
    get dataFieldTypes(): string;
    get dataDrawFieldType(): string;
    get dataFields(): string;
    get dataSubmitters(): string;
    get dataRequiredFields(): string;
    get dataI18n(): string;
    get dataCustomButtonTitle(): string;
    get dataCustomButtonUrl(): string;
    get dataEmailMessageSubject(): string;
    get dataEmailMessageBody(): string;
    get dataWithRecipientsButton(): boolean;
    get dataWithSendButton(): boolean;
    get dataWithDocumentsList(): boolean;
    get dataWithFieldsList(): boolean;
    get dataWithFieldPlaceholder(): boolean;
    get dataWithTitle(): boolean;
    get dataOnlyDefinedFields(): boolean;
    get dataWithUploadButton(): boolean;
    get dataWithAddPageButton(): boolean;
    get dataWithSignYourselfButton(): boolean;
    get dataBackgroundColor(): string;
    get dataCustomCss(): string;
    ngAfterViewInit(): void;
    onSendEvent(event: CustomEvent): void;
    onLoadEvent(event: CustomEvent): void;
    onUploadEvent(event: CustomEvent): void;
    onSaveEvent(event: CustomEvent): void;
    onChangeEvent(event: CustomEvent): void;
    loadScript(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DocusealBuilderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DocusealBuilderComponent, "docuseal-builder", never, { "token": { "alias": "token"; "required": false; }; "host": { "alias": "host"; "required": false; }; "language": { "alias": "language"; "required": false; }; "preview": { "alias": "preview"; "required": false; }; "previewMode": { "alias": "previewMode"; "required": false; }; "inputMode": { "alias": "inputMode"; "required": false; }; "autosave": { "alias": "autosave"; "required": false; }; "withRecipientsButton": { "alias": "withRecipientsButton"; "required": false; }; "withDocumentsList": { "alias": "withDocumentsList"; "required": false; }; "withFieldsList": { "alias": "withFieldsList"; "required": false; }; "withFieldPlaceholder": { "alias": "withFieldPlaceholder"; "required": false; }; "withSendButton": { "alias": "withSendButton"; "required": false; }; "withTitle": { "alias": "withTitle"; "required": false; }; "onlyDefinedFields": { "alias": "onlyDefinedFields"; "required": false; }; "withSignYourselfButton": { "alias": "withSignYourselfButton"; "required": false; }; "withUploadButton": { "alias": "withUploadButton"; "required": false; }; "withAddPageButton": { "alias": "withAddPageButton"; "required": false; }; "roles": { "alias": "roles"; "required": false; }; "fields": { "alias": "fields"; "required": false; }; "submitters": { "alias": "submitters"; "required": false; }; "requiredFields": { "alias": "requiredFields"; "required": false; }; "i18n": { "alias": "i18n"; "required": false; }; "fieldTypes": { "alias": "fieldTypes"; "required": false; }; "drawFieldType": { "alias": "drawFieldType"; "required": false; }; "customButton": { "alias": "customButton"; "required": false; }; "emailMessage": { "alias": "emailMessage"; "required": false; }; "backgroundColor": { "alias": "backgroundColor"; "required": false; }; "sendButtonText": { "alias": "sendButtonText"; "required": false; }; "saveButtonText": { "alias": "saveButtonText"; "required": false; }; "customCss": { "alias": "customCss"; "required": false; }; }, { "onLoad": "onLoad"; "onUpload": "onUpload"; "onSend": "onSend"; "onSave": "onSave"; "onChange": "onChange"; }, never, never, true, never>;
}
export {};
