import * as i0 from '@angular/core';
import { EventEmitter, Component, Input, Output, HostBinding, HostListener } from '@angular/core';

class DocusealFormComponent {
    src = "";
    token = "";
    host = "cdn.docuseal.com";
    role = "";
    submitter = ""; // Backward compatibility
    expand = true;
    minimize = false;
    orderAsOnPage = false;
    preview = false;
    email = "";
    name = "";
    applicationKey = "";
    externalId = "";
    backgroundColor = "";
    logo = "";
    language = "";
    completedRedirectUrl = "";
    completedMessage = { title: "", body: "" };
    completedButton = { title: "", url: "" };
    goToLast = true;
    skipFields = false;
    autoscrollFields = true;
    withTitle = true;
    withDecline = false;
    withFieldNames = true;
    withFieldPlaceholder = false;
    withDownloadButton = true;
    withSendCopyButton = true;
    withCompleteButton = false;
    allowToResubmit = true;
    allowTypedSignature = true;
    signature = "";
    rememberSignature = false;
    reuseSignature = true;
    sendCopyEmail = null;
    values = {};
    metadata = {};
    i18n = {};
    fields = [];
    readonlyFields = [];
    customCss = "";
    onComplete = new EventEmitter();
    onInit = new EventEmitter();
    onDecline = new EventEmitter();
    onLoad = new EventEmitter();
    get dataSrc() { return this.src; }
    get dataToken() { return this.token; }
    get dataEmail() { return this.email; }
    get dataName() { return this.name; }
    get dataRole() { return this.role || this.submitter; }
    get dataExternalId() { return this.externalId || this.applicationKey; }
    get dataExpand() { return this.expand; }
    get dataMinimize() { return this.minimize; }
    get dataOrderAsOnPage() { return this.orderAsOnPage; }
    get dataPreview() { return this.preview; }
    get dataGoToLast() { return this.goToLast; }
    get dataSkipFields() { return this.skipFields; }
    get dataAutoscrollFields() { return this.autoscrollFields; }
    get dataSendCopyEmail() { return this.sendCopyEmail; }
    get dataWithTitle() { return this.withTitle; }
    get dataWithDecline() { return this.withDecline; }
    get dataLogo() { return this.logo; }
    get dataLanguage() { return this.language; }
    get dataWithFieldNames() { return this.withFieldNames; }
    get dataWithFieldPlaceholder() { return this.withFieldPlaceholder; }
    get dataWithDownloadButton() { return this.withDownloadButton; }
    get dataAllowToResubmit() { return this.allowToResubmit; }
    get dataAllowTypedSignature() { return this.allowTypedSignature; }
    get dataSignature() { return this.signature; }
    get dataRememberSignature() { return this.rememberSignature; }
    get dataReuseSignature() { return this.reuseSignature; }
    get dataCompletedRedirectUrl() { return this.completedRedirectUrl; }
    get dataWithSendCopyButton() { return this.withSendCopyButton; }
    get dataWithCompleteButton() { return this.withCompleteButton; }
    get dataValues() { return JSON.stringify(this.values); }
    get dataMetadata() { return JSON.stringify(this.metadata); }
    get dataFields() { return JSON.stringify(this.fields); }
    get dataI18n() { return JSON.stringify(this.i18n); }
    get dataReadonlyFields() { return this.readonlyFields.join(','); }
    get dataCompletedMessageTitle() { return this.completedMessage.title; }
    get dataCompletedMessageBody() { return this.completedMessage.body; }
    get dataCompletedButtonTitle() { return this.completedButton.title; }
    get dataCompletedButtonUrl() { return this.completedButton.url; }
    get dataBackgroundColor() { return this.backgroundColor; }
    get dataCustomCss() { return this.customCss; }
    ngAfterViewInit() {
        this.loadScript();
    }
    onCompleteEvent(event) {
        if (this.onComplete) {
            this.onComplete.emit(event.detail);
        }
    }
    onInitEvent(event) {
        if (this.onInit) {
            this.onInit.emit(event.detail);
        }
    }
    onDeclineEvent(event) {
        if (this.onDecline) {
            this.onDecline.emit(event.detail);
        }
    }
    onLoadEvent(event) {
        if (this.onLoad) {
            this.onLoad.emit(event.detail);
        }
    }
    loadScript() {
        const scriptId = "docuseal-form-script";
        const scriptSrc = `https://${this.host}/js/form.js`;
        const script = document.createElement("script");
        script.id = scriptId;
        script.async = true;
        script.src = scriptSrc;
        document.head.appendChild(script);
    }
    static ɵfac = function DocusealFormComponent_Factory(__ngFactoryType__) { return new (__ngFactoryType__ || DocusealFormComponent)(); };
    static ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: DocusealFormComponent, selectors: [["docuseal-form"]], hostVars: 40, hostBindings: function DocusealFormComponent_HostBindings(rf, ctx) { if (rf & 1) {
            i0.ɵɵlistener("completed", function DocusealFormComponent_completed_HostBindingHandler($event) { return ctx.onCompleteEvent($event); })("init", function DocusealFormComponent_init_HostBindingHandler($event) { return ctx.onInitEvent($event); })("declined", function DocusealFormComponent_declined_HostBindingHandler($event) { return ctx.onDeclineEvent($event); })("load", function DocusealFormComponent_load_HostBindingHandler($event) { return ctx.onLoadEvent($event); });
        } if (rf & 2) {
            i0.ɵɵattribute("data-src", ctx.dataSrc)("data-token", ctx.dataToken)("data-email", ctx.dataEmail)("data-name", ctx.dataName)("data-role", ctx.dataRole)("data-external-id", ctx.dataExternalId)("data-expand", ctx.dataExpand)("data-minimize", ctx.dataMinimize)("data-order-as-on-page", ctx.dataOrderAsOnPage)("data-preview", ctx.dataPreview)("data-go-to-last", ctx.dataGoToLast)("data-skip-fields", ctx.dataSkipFields)("data-autoscroll-fields", ctx.dataAutoscrollFields)("data-send-copy-email", ctx.dataSendCopyEmail)("data-with-title", ctx.dataWithTitle)("data-with-decline", ctx.dataWithDecline)("data-logo", ctx.dataLogo)("data-language", ctx.dataLanguage)("data-with-field-names", ctx.dataWithFieldNames)("data-with-field-placeholder", ctx.dataWithFieldPlaceholder)("data-with-download-button", ctx.dataWithDownloadButton)("data-allow-to-resubmit", ctx.dataAllowToResubmit)("data-allow-typed-signature", ctx.dataAllowTypedSignature)("data-signature", ctx.dataSignature)("data-remember-signature", ctx.dataRememberSignature)("data-reuse-signature", ctx.dataReuseSignature)("data-completed-redirect-url", ctx.dataCompletedRedirectUrl)("data-with-send-copy-button", ctx.dataWithSendCopyButton)("data-with-complete-button", ctx.dataWithCompleteButton)("data-values", ctx.dataValues)("data-metadata", ctx.dataMetadata)("data-fields", ctx.dataFields)("data-i18n", ctx.dataI18n)("data-readonly-fields", ctx.dataReadonlyFields)("data-completed-message-title", ctx.dataCompletedMessageTitle)("data-completed-message-body", ctx.dataCompletedMessageBody)("data-completed-button-title", ctx.dataCompletedButtonTitle)("data-completed-button-url", ctx.dataCompletedButtonUrl)("data-background-color", ctx.dataBackgroundColor)("data-custom-css", ctx.dataCustomCss);
        } }, inputs: { src: "src", token: "token", host: "host", role: "role", submitter: "submitter", expand: "expand", minimize: "minimize", orderAsOnPage: "orderAsOnPage", preview: "preview", email: "email", name: "name", applicationKey: "applicationKey", externalId: "externalId", backgroundColor: "backgroundColor", logo: "logo", language: "language", completedRedirectUrl: "completedRedirectUrl", completedMessage: "completedMessage", completedButton: "completedButton", goToLast: "goToLast", skipFields: "skipFields", autoscrollFields: "autoscrollFields", withTitle: "withTitle", withDecline: "withDecline", withFieldNames: "withFieldNames", withFieldPlaceholder: "withFieldPlaceholder", withDownloadButton: "withDownloadButton", withSendCopyButton: "withSendCopyButton", withCompleteButton: "withCompleteButton", allowToResubmit: "allowToResubmit", allowTypedSignature: "allowTypedSignature", signature: "signature", rememberSignature: "rememberSignature", reuseSignature: "reuseSignature", sendCopyEmail: "sendCopyEmail", values: "values", metadata: "metadata", i18n: "i18n", fields: "fields", readonlyFields: "readonlyFields", customCss: "customCss" }, outputs: { onComplete: "onComplete", onInit: "onInit", onDecline: "onDecline", onLoad: "onLoad" }, decls: 0, vars: 0, template: function DocusealFormComponent_Template(rf, ctx) { }, encapsulation: 2 });
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DocusealFormComponent, [{
        type: Component,
        args: [{ selector: "docuseal-form", standalone: true, template: "" }]
    }], null, { src: [{
            type: Input
        }], token: [{
            type: Input
        }], host: [{
            type: Input
        }], role: [{
            type: Input
        }], submitter: [{
            type: Input
        }], expand: [{
            type: Input
        }], minimize: [{
            type: Input
        }], orderAsOnPage: [{
            type: Input
        }], preview: [{
            type: Input
        }], email: [{
            type: Input
        }], name: [{
            type: Input
        }], applicationKey: [{
            type: Input
        }], externalId: [{
            type: Input
        }], backgroundColor: [{
            type: Input
        }], logo: [{
            type: Input
        }], language: [{
            type: Input
        }], completedRedirectUrl: [{
            type: Input
        }], completedMessage: [{
            type: Input
        }], completedButton: [{
            type: Input
        }], goToLast: [{
            type: Input
        }], skipFields: [{
            type: Input
        }], autoscrollFields: [{
            type: Input
        }], withTitle: [{
            type: Input
        }], withDecline: [{
            type: Input
        }], withFieldNames: [{
            type: Input
        }], withFieldPlaceholder: [{
            type: Input
        }], withDownloadButton: [{
            type: Input
        }], withSendCopyButton: [{
            type: Input
        }], withCompleteButton: [{
            type: Input
        }], allowToResubmit: [{
            type: Input
        }], allowTypedSignature: [{
            type: Input
        }], signature: [{
            type: Input
        }], rememberSignature: [{
            type: Input
        }], reuseSignature: [{
            type: Input
        }], sendCopyEmail: [{
            type: Input
        }], values: [{
            type: Input
        }], metadata: [{
            type: Input
        }], i18n: [{
            type: Input
        }], fields: [{
            type: Input
        }], readonlyFields: [{
            type: Input
        }], customCss: [{
            type: Input
        }], onComplete: [{
            type: Output
        }], onInit: [{
            type: Output
        }], onDecline: [{
            type: Output
        }], onLoad: [{
            type: Output
        }], dataSrc: [{
            type: HostBinding,
            args: ["attr.data-src"]
        }], dataToken: [{
            type: HostBinding,
            args: ["attr.data-token"]
        }], dataEmail: [{
            type: HostBinding,
            args: ["attr.data-email"]
        }], dataName: [{
            type: HostBinding,
            args: ["attr.data-name"]
        }], dataRole: [{
            type: HostBinding,
            args: ["attr.data-role"]
        }], dataExternalId: [{
            type: HostBinding,
            args: ["attr.data-external-id"]
        }], dataExpand: [{
            type: HostBinding,
            args: ["attr.data-expand"]
        }], dataMinimize: [{
            type: HostBinding,
            args: ["attr.data-minimize"]
        }], dataOrderAsOnPage: [{
            type: HostBinding,
            args: ["attr.data-order-as-on-page"]
        }], dataPreview: [{
            type: HostBinding,
            args: ["attr.data-preview"]
        }], dataGoToLast: [{
            type: HostBinding,
            args: ["attr.data-go-to-last"]
        }], dataSkipFields: [{
            type: HostBinding,
            args: ["attr.data-skip-fields"]
        }], dataAutoscrollFields: [{
            type: HostBinding,
            args: ["attr.data-autoscroll-fields"]
        }], dataSendCopyEmail: [{
            type: HostBinding,
            args: ["attr.data-send-copy-email"]
        }], dataWithTitle: [{
            type: HostBinding,
            args: ["attr.data-with-title"]
        }], dataWithDecline: [{
            type: HostBinding,
            args: ["attr.data-with-decline"]
        }], dataLogo: [{
            type: HostBinding,
            args: ["attr.data-logo"]
        }], dataLanguage: [{
            type: HostBinding,
            args: ["attr.data-language"]
        }], dataWithFieldNames: [{
            type: HostBinding,
            args: ["attr.data-with-field-names"]
        }], dataWithFieldPlaceholder: [{
            type: HostBinding,
            args: ["attr.data-with-field-placeholder"]
        }], dataWithDownloadButton: [{
            type: HostBinding,
            args: ["attr.data-with-download-button"]
        }], dataAllowToResubmit: [{
            type: HostBinding,
            args: ["attr.data-allow-to-resubmit"]
        }], dataAllowTypedSignature: [{
            type: HostBinding,
            args: ["attr.data-allow-typed-signature"]
        }], dataSignature: [{
            type: HostBinding,
            args: ["attr.data-signature"]
        }], dataRememberSignature: [{
            type: HostBinding,
            args: ["attr.data-remember-signature"]
        }], dataReuseSignature: [{
            type: HostBinding,
            args: ["attr.data-reuse-signature"]
        }], dataCompletedRedirectUrl: [{
            type: HostBinding,
            args: ["attr.data-completed-redirect-url"]
        }], dataWithSendCopyButton: [{
            type: HostBinding,
            args: ["attr.data-with-send-copy-button"]
        }], dataWithCompleteButton: [{
            type: HostBinding,
            args: ["attr.data-with-complete-button"]
        }], dataValues: [{
            type: HostBinding,
            args: ["attr.data-values"]
        }], dataMetadata: [{
            type: HostBinding,
            args: ["attr.data-metadata"]
        }], dataFields: [{
            type: HostBinding,
            args: ["attr.data-fields"]
        }], dataI18n: [{
            type: HostBinding,
            args: ["attr.data-i18n"]
        }], dataReadonlyFields: [{
            type: HostBinding,
            args: ["attr.data-readonly-fields"]
        }], dataCompletedMessageTitle: [{
            type: HostBinding,
            args: ["attr.data-completed-message-title"]
        }], dataCompletedMessageBody: [{
            type: HostBinding,
            args: ["attr.data-completed-message-body"]
        }], dataCompletedButtonTitle: [{
            type: HostBinding,
            args: ["attr.data-completed-button-title"]
        }], dataCompletedButtonUrl: [{
            type: HostBinding,
            args: ["attr.data-completed-button-url"]
        }], dataBackgroundColor: [{
            type: HostBinding,
            args: ["attr.data-background-color"]
        }], dataCustomCss: [{
            type: HostBinding,
            args: ["attr.data-custom-css"]
        }], onCompleteEvent: [{
            type: HostListener,
            args: ['completed', ['$event']]
        }], onInitEvent: [{
            type: HostListener,
            args: ['init', ['$event']]
        }], onDeclineEvent: [{
            type: HostListener,
            args: ['declined', ['$event']]
        }], onLoadEvent: [{
            type: HostListener,
            args: ['load', ['$event']]
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(DocusealFormComponent, { className: "DocusealFormComponent", filePath: "form.component.ts", lineNumber: 40 }); })();

class DocusealBuilderComponent {
    token = "";
    host = "cdn.docuseal.com";
    language = "en";
    preview = false;
    previewMode = false;
    inputMode = false;
    autosave = true;
    withRecipientsButton = true;
    withDocumentsList = true;
    withFieldsList = true;
    withFieldPlaceholder = false;
    withSendButton = true;
    withTitle = true;
    onlyDefinedFields = false;
    withSignYourselfButton = true;
    withUploadButton = true;
    withAddPageButton = false;
    roles = [];
    fields = [];
    submitters = [];
    requiredFields = [];
    i18n = {};
    fieldTypes = [];
    drawFieldType = "text";
    customButton = { title: "", url: "" };
    emailMessage = { subject: "", body: "" };
    backgroundColor = "";
    sendButtonText = "";
    saveButtonText = "";
    customCss = "";
    onLoad = new EventEmitter();
    onUpload = new EventEmitter();
    onSend = new EventEmitter();
    onSave = new EventEmitter();
    onChange = new EventEmitter();
    get dataToken() { return this.token; }
    get dataPreview() { return this.preview || this.previewMode; }
    get dataInputMode() { return this.inputMode; }
    get dataLanguage() { return this.language; }
    get dataAutosave() { return this.autosave; }
    get dataSendButtonText() { return this.sendButtonText; }
    get dataSaveButtonText() { return this.saveButtonText; }
    get dataRoles() { return this.roles.join(','); }
    get dataFieldTypes() { return this.fieldTypes.join(','); }
    get dataDrawFieldType() { return this.drawFieldType; }
    get dataFields() { return JSON.stringify(this.fields); }
    get dataSubmitters() { return JSON.stringify(this.submitters); }
    get dataRequiredFields() { return JSON.stringify(this.requiredFields); }
    get dataI18n() { return JSON.stringify(this.i18n); }
    get dataCustomButtonTitle() { return this.customButton.title; }
    get dataCustomButtonUrl() { return this.customButton.url; }
    get dataEmailMessageSubject() { return this.emailMessage.subject; }
    get dataEmailMessageBody() { return this.emailMessage.body; }
    get dataWithRecipientsButton() { return this.withRecipientsButton; }
    get dataWithSendButton() { return this.withSendButton; }
    get dataWithDocumentsList() { return this.withDocumentsList; }
    get dataWithFieldsList() { return this.withFieldsList; }
    get dataWithFieldPlaceholder() { return this.withFieldPlaceholder; }
    get dataWithTitle() { return this.withTitle; }
    get dataOnlyDefinedFields() { return this.onlyDefinedFields; }
    get dataWithUploadButton() { return this.withUploadButton; }
    get dataWithAddPageButton() { return this.withAddPageButton; }
    get dataWithSignYourselfButton() { return this.withSignYourselfButton; }
    get dataBackgroundColor() { return this.backgroundColor; }
    get dataCustomCss() { return this.customCss; }
    ngAfterViewInit() {
        this.loadScript();
    }
    onSendEvent(event) {
        if (this.onSend) {
            this.onSend.emit(event.detail);
        }
    }
    onLoadEvent(event) {
        if (this.onLoad) {
            this.onLoad.emit(event.detail);
        }
    }
    onUploadEvent(event) {
        if (this.onUpload) {
            this.onUpload.emit(event.detail);
        }
    }
    onSaveEvent(event) {
        if (this.onSave) {
            this.onSave.emit(event.detail);
        }
    }
    onChangeEvent(event) {
        if (this.onChange) {
            this.onChange.emit(event.detail);
        }
    }
    loadScript() {
        const scriptId = 'docuseal-builder-script';
        const scriptSrc = `https://${this.host}/js/builder.js`;
        const script = document.createElement("script");
        script.id = scriptId;
        script.async = true;
        script.src = scriptSrc;
        document.head.appendChild(script);
    }
    static ɵfac = function DocusealBuilderComponent_Factory(__ngFactoryType__) { return new (__ngFactoryType__ || DocusealBuilderComponent)(); };
    static ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: DocusealBuilderComponent, selectors: [["docuseal-builder"]], hostVars: 30, hostBindings: function DocusealBuilderComponent_HostBindings(rf, ctx) { if (rf & 1) {
            i0.ɵɵlistener("send", function DocusealBuilderComponent_send_HostBindingHandler($event) { return ctx.onSendEvent($event); })("load", function DocusealBuilderComponent_load_HostBindingHandler($event) { return ctx.onLoadEvent($event); })("upload", function DocusealBuilderComponent_upload_HostBindingHandler($event) { return ctx.onUploadEvent($event); })("save", function DocusealBuilderComponent_save_HostBindingHandler($event) { return ctx.onSaveEvent($event); })("change", function DocusealBuilderComponent_change_HostBindingHandler($event) { return ctx.onChangeEvent($event); });
        } if (rf & 2) {
            i0.ɵɵattribute("data-token", ctx.dataToken)("data-preview", ctx.dataPreview)("data-input-mode", ctx.dataInputMode)("data-language", ctx.dataLanguage)("data-autosave", ctx.dataAutosave)("data-send-button-text", ctx.dataSendButtonText)("data-save-button-text", ctx.dataSaveButtonText)("data-roles", ctx.dataRoles)("data-field-types", ctx.dataFieldTypes)("data-draw-field-type", ctx.dataDrawFieldType)("data-fields", ctx.dataFields)("data-submitters", ctx.dataSubmitters)("data-required-fields", ctx.dataRequiredFields)("data-i18n", ctx.dataI18n)("data-custom-button-title", ctx.dataCustomButtonTitle)("data-custom-button-url", ctx.dataCustomButtonUrl)("data-email-subject", ctx.dataEmailMessageSubject)("data-email-body", ctx.dataEmailMessageBody)("data-with-recipients-button", ctx.dataWithRecipientsButton)("data-with-send-button", ctx.dataWithSendButton)("data-with-documents-list", ctx.dataWithDocumentsList)("data-with-fields-list", ctx.dataWithFieldsList)("data-with-field-placeholder", ctx.dataWithFieldPlaceholder)("data-with-title", ctx.dataWithTitle)("data-only-defined-fields", ctx.dataOnlyDefinedFields)("data-with-upload-button", ctx.dataWithUploadButton)("data-with-add-page-button", ctx.dataWithAddPageButton)("data-with-sign-yourself-button", ctx.dataWithSignYourselfButton)("data-background-color", ctx.dataBackgroundColor)("data-custom-css", ctx.dataCustomCss);
        } }, inputs: { token: "token", host: "host", language: "language", preview: "preview", previewMode: "previewMode", inputMode: "inputMode", autosave: "autosave", withRecipientsButton: "withRecipientsButton", withDocumentsList: "withDocumentsList", withFieldsList: "withFieldsList", withFieldPlaceholder: "withFieldPlaceholder", withSendButton: "withSendButton", withTitle: "withTitle", onlyDefinedFields: "onlyDefinedFields", withSignYourselfButton: "withSignYourselfButton", withUploadButton: "withUploadButton", withAddPageButton: "withAddPageButton", roles: "roles", fields: "fields", submitters: "submitters", requiredFields: "requiredFields", i18n: "i18n", fieldTypes: "fieldTypes", drawFieldType: "drawFieldType", customButton: "customButton", emailMessage: "emailMessage", backgroundColor: "backgroundColor", sendButtonText: "sendButtonText", saveButtonText: "saveButtonText", customCss: "customCss" }, outputs: { onLoad: "onLoad", onUpload: "onUpload", onSend: "onSend", onSave: "onSave", onChange: "onChange" }, decls: 0, vars: 0, template: function DocusealBuilderComponent_Template(rf, ctx) { }, encapsulation: 2 });
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DocusealBuilderComponent, [{
        type: Component,
        args: [{ selector: "docuseal-builder", standalone: true, template: "" }]
    }], null, { token: [{
            type: Input
        }], host: [{
            type: Input
        }], language: [{
            type: Input
        }], preview: [{
            type: Input
        }], previewMode: [{
            type: Input
        }], inputMode: [{
            type: Input
        }], autosave: [{
            type: Input
        }], withRecipientsButton: [{
            type: Input
        }], withDocumentsList: [{
            type: Input
        }], withFieldsList: [{
            type: Input
        }], withFieldPlaceholder: [{
            type: Input
        }], withSendButton: [{
            type: Input
        }], withTitle: [{
            type: Input
        }], onlyDefinedFields: [{
            type: Input
        }], withSignYourselfButton: [{
            type: Input
        }], withUploadButton: [{
            type: Input
        }], withAddPageButton: [{
            type: Input
        }], roles: [{
            type: Input
        }], fields: [{
            type: Input
        }], submitters: [{
            type: Input
        }], requiredFields: [{
            type: Input
        }], i18n: [{
            type: Input
        }], fieldTypes: [{
            type: Input
        }], drawFieldType: [{
            type: Input
        }], customButton: [{
            type: Input
        }], emailMessage: [{
            type: Input
        }], backgroundColor: [{
            type: Input
        }], sendButtonText: [{
            type: Input
        }], saveButtonText: [{
            type: Input
        }], customCss: [{
            type: Input
        }], onLoad: [{
            type: Output
        }], onUpload: [{
            type: Output
        }], onSend: [{
            type: Output
        }], onSave: [{
            type: Output
        }], onChange: [{
            type: Output
        }], dataToken: [{
            type: HostBinding,
            args: ["attr.data-token"]
        }], dataPreview: [{
            type: HostBinding,
            args: ["attr.data-preview"]
        }], dataInputMode: [{
            type: HostBinding,
            args: ["attr.data-input-mode"]
        }], dataLanguage: [{
            type: HostBinding,
            args: ["attr.data-language"]
        }], dataAutosave: [{
            type: HostBinding,
            args: ["attr.data-autosave"]
        }], dataSendButtonText: [{
            type: HostBinding,
            args: ["attr.data-send-button-text"]
        }], dataSaveButtonText: [{
            type: HostBinding,
            args: ["attr.data-save-button-text"]
        }], dataRoles: [{
            type: HostBinding,
            args: ["attr.data-roles"]
        }], dataFieldTypes: [{
            type: HostBinding,
            args: ["attr.data-field-types"]
        }], dataDrawFieldType: [{
            type: HostBinding,
            args: ["attr.data-draw-field-type"]
        }], dataFields: [{
            type: HostBinding,
            args: ["attr.data-fields"]
        }], dataSubmitters: [{
            type: HostBinding,
            args: ["attr.data-submitters"]
        }], dataRequiredFields: [{
            type: HostBinding,
            args: ["attr.data-required-fields"]
        }], dataI18n: [{
            type: HostBinding,
            args: ["attr.data-i18n"]
        }], dataCustomButtonTitle: [{
            type: HostBinding,
            args: ["attr.data-custom-button-title"]
        }], dataCustomButtonUrl: [{
            type: HostBinding,
            args: ["attr.data-custom-button-url"]
        }], dataEmailMessageSubject: [{
            type: HostBinding,
            args: ["attr.data-email-subject"]
        }], dataEmailMessageBody: [{
            type: HostBinding,
            args: ["attr.data-email-body"]
        }], dataWithRecipientsButton: [{
            type: HostBinding,
            args: ["attr.data-with-recipients-button"]
        }], dataWithSendButton: [{
            type: HostBinding,
            args: ["attr.data-with-send-button"]
        }], dataWithDocumentsList: [{
            type: HostBinding,
            args: ["attr.data-with-documents-list"]
        }], dataWithFieldsList: [{
            type: HostBinding,
            args: ["attr.data-with-fields-list"]
        }], dataWithFieldPlaceholder: [{
            type: HostBinding,
            args: ["attr.data-with-field-placeholder"]
        }], dataWithTitle: [{
            type: HostBinding,
            args: ["attr.data-with-title"]
        }], dataOnlyDefinedFields: [{
            type: HostBinding,
            args: ["attr.data-only-defined-fields"]
        }], dataWithUploadButton: [{
            type: HostBinding,
            args: ["attr.data-with-upload-button"]
        }], dataWithAddPageButton: [{
            type: HostBinding,
            args: ["attr.data-with-add-page-button"]
        }], dataWithSignYourselfButton: [{
            type: HostBinding,
            args: ["attr.data-with-sign-yourself-button"]
        }], dataBackgroundColor: [{
            type: HostBinding,
            args: ["attr.data-background-color"]
        }], dataCustomCss: [{
            type: HostBinding,
            args: ["attr.data-custom-css"]
        }], onSendEvent: [{
            type: HostListener,
            args: ['send', ['$event']]
        }], onLoadEvent: [{
            type: HostListener,
            args: ['load', ['$event']]
        }], onUploadEvent: [{
            type: HostListener,
            args: ['upload', ['$event']]
        }], onSaveEvent: [{
            type: HostListener,
            args: ['save', ['$event']]
        }], onChangeEvent: [{
            type: HostListener,
            args: ['change', ['$event']]
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(DocusealBuilderComponent, { className: "DocusealBuilderComponent", filePath: "builder.component.ts", lineNumber: 47 }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { DocusealBuilderComponent, DocusealFormComponent };
//# sourceMappingURL=docuseal-angular.mjs.map
