import { EventEmitter } from "@angular/core";
import * as i0 from "@angular/core";
export type DocusealFormField = {
    name: string;
    title?: string;
    description?: string;
    type?: string;
    position?: number;
    required?: boolean;
    readonly?: boolean;
    validation?: {
        pattern?: string;
        message?: string;
    };
    preferences?: {
        font_size?: number;
        font_type?: "bold" | "italic" | "bold_italic";
        mask?: boolean | number;
        font?: "Times" | "Helvetica" | "Courier";
        color?: "black" | "white" | "blue";
        align?: "left" | "center" | "right";
        valign?: "top" | "center" | "bottom";
        format?: string;
        price?: number;
        currency?: "USD" | "EUR" | "GBP" | "CAD" | "AUD";
    };
};
interface AfterViewInit {
    ngAfterViewInit(): void;
}
export declare class DocusealFormComponent implements AfterViewInit {
    src: string;
    token: string;
    host: string;
    role: string;
    submitter: string;
    expand: boolean;
    minimize: boolean;
    orderAsOnPage: boolean;
    preview: boolean;
    email: string;
    name: string;
    applicationKey: string;
    externalId: string;
    backgroundColor: string;
    logo: string;
    language: string;
    completedRedirectUrl: string;
    completedMessage: {
        title: string;
        body: string;
    };
    completedButton: {
        title: string;
        url: string;
    };
    goToLast: boolean;
    skipFields: boolean;
    autoscrollFields: boolean;
    withTitle: boolean;
    withDecline: boolean;
    withFieldNames: boolean;
    withFieldPlaceholder: boolean;
    withDownloadButton: boolean;
    withSendCopyButton: boolean;
    withCompleteButton: boolean;
    allowToResubmit: boolean;
    allowTypedSignature: boolean;
    signature: string;
    rememberSignature: boolean;
    reuseSignature: boolean;
    sendCopyEmail: boolean | null;
    values: object;
    metadata: object;
    i18n: object;
    fields: DocusealFormField[];
    readonlyFields: string[];
    customCss: string;
    onComplete: EventEmitter<any>;
    onInit: EventEmitter<any>;
    onDecline: EventEmitter<any>;
    onLoad: EventEmitter<any>;
    get dataSrc(): string;
    get dataToken(): string;
    get dataEmail(): string;
    get dataName(): string;
    get dataRole(): string;
    get dataExternalId(): string;
    get dataExpand(): boolean;
    get dataMinimize(): boolean;
    get dataOrderAsOnPage(): boolean;
    get dataPreview(): boolean;
    get dataGoToLast(): boolean;
    get dataSkipFields(): boolean;
    get dataAutoscrollFields(): boolean;
    get dataSendCopyEmail(): boolean | null;
    get dataWithTitle(): boolean;
    get dataWithDecline(): boolean;
    get dataLogo(): string;
    get dataLanguage(): string;
    get dataWithFieldNames(): boolean;
    get dataWithFieldPlaceholder(): boolean;
    get dataWithDownloadButton(): boolean;
    get dataAllowToResubmit(): boolean;
    get dataAllowTypedSignature(): boolean;
    get dataSignature(): string;
    get dataRememberSignature(): boolean;
    get dataReuseSignature(): boolean;
    get dataCompletedRedirectUrl(): string;
    get dataWithSendCopyButton(): boolean;
    get dataWithCompleteButton(): boolean;
    get dataValues(): string;
    get dataMetadata(): string;
    get dataFields(): string;
    get dataI18n(): string;
    get dataReadonlyFields(): string;
    get dataCompletedMessageTitle(): string;
    get dataCompletedMessageBody(): string;
    get dataCompletedButtonTitle(): string;
    get dataCompletedButtonUrl(): string;
    get dataBackgroundColor(): string;
    get dataCustomCss(): string;
    ngAfterViewInit(): void;
    onCompleteEvent(event: CustomEvent): void;
    onInitEvent(event: CustomEvent): void;
    onDeclineEvent(event: CustomEvent): void;
    onLoadEvent(event: CustomEvent): void;
    loadScript(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DocusealFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DocusealFormComponent, "docuseal-form", never, { "src": { "alias": "src"; "required": false; }; "token": { "alias": "token"; "required": false; }; "host": { "alias": "host"; "required": false; }; "role": { "alias": "role"; "required": false; }; "submitter": { "alias": "submitter"; "required": false; }; "expand": { "alias": "expand"; "required": false; }; "minimize": { "alias": "minimize"; "required": false; }; "orderAsOnPage": { "alias": "orderAsOnPage"; "required": false; }; "preview": { "alias": "preview"; "required": false; }; "email": { "alias": "email"; "required": false; }; "name": { "alias": "name"; "required": false; }; "applicationKey": { "alias": "applicationKey"; "required": false; }; "externalId": { "alias": "externalId"; "required": false; }; "backgroundColor": { "alias": "backgroundColor"; "required": false; }; "logo": { "alias": "logo"; "required": false; }; "language": { "alias": "language"; "required": false; }; "completedRedirectUrl": { "alias": "completedRedirectUrl"; "required": false; }; "completedMessage": { "alias": "completedMessage"; "required": false; }; "completedButton": { "alias": "completedButton"; "required": false; }; "goToLast": { "alias": "goToLast"; "required": false; }; "skipFields": { "alias": "skipFields"; "required": false; }; "autoscrollFields": { "alias": "autoscrollFields"; "required": false; }; "withTitle": { "alias": "withTitle"; "required": false; }; "withDecline": { "alias": "withDecline"; "required": false; }; "withFieldNames": { "alias": "withFieldNames"; "required": false; }; "withFieldPlaceholder": { "alias": "withFieldPlaceholder"; "required": false; }; "withDownloadButton": { "alias": "withDownloadButton"; "required": false; }; "withSendCopyButton": { "alias": "withSendCopyButton"; "required": false; }; "withCompleteButton": { "alias": "withCompleteButton"; "required": false; }; "allowToResubmit": { "alias": "allowToResubmit"; "required": false; }; "allowTypedSignature": { "alias": "allowTypedSignature"; "required": false; }; "signature": { "alias": "signature"; "required": false; }; "rememberSignature": { "alias": "rememberSignature"; "required": false; }; "reuseSignature": { "alias": "reuseSignature"; "required": false; }; "sendCopyEmail": { "alias": "sendCopyEmail"; "required": false; }; "values": { "alias": "values"; "required": false; }; "metadata": { "alias": "metadata"; "required": false; }; "i18n": { "alias": "i18n"; "required": false; }; "fields": { "alias": "fields"; "required": false; }; "readonlyFields": { "alias": "readonlyFields"; "required": false; }; "customCss": { "alias": "customCss"; "required": false; }; }, { "onComplete": "onComplete"; "onInit": "onInit"; "onDecline": "onDecline"; "onLoad": "onLoad"; }, never, never, true, never>;
}
export {};
